/**
  *  \file planetscentral/dbclient/dbstring.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_DBCLIENT_DBSTRING_H
#define C2SERVER_PLANETSCENTRAL_DBCLIENT_DBSTRING_H

#include <cstddef>
#include "planetscentral/dbclient/dbkey.h"

class DbString : public DbKey {
 public:
    DbString(DbClient& client, string_t s);

    void append(const string_t& what);
    string_t get();
    string_t substr(std::size_t start, std::size_t length);
    string_t replaceBy(const string_t& newValue);
    void     set(const string_t& newValue);
    bool     setNew(const string_t& newValue);
};

#endif
