/**
  *  \file planetscentral/host/runner.h
  *  \brief Running External Programs
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_RUNNER_H
#define C2SERVER_PLANETSCENTRAL_HOST_RUNNER_H

#include "planetscentral/osutil.h"
#include "planetscentral/dbclient/connection.h"

/** Running external programs. */
class Runner : private Connection {
 public:
    Runner();
    ~Runner();
    void start();
    int32_t run(IntDataSegment& command, string_t& output);

 private:
    Mutex mtx;

    void serveRequest();
};

#endif
